// MassBuilderSaveTool
// Copyright (C) 2021-2022 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#ifdef c
c(Face,            "enuArmorSlots::NewEnumerator0"_s,  "Face"_s)
c(UpperHead,       "enuArmorSlots::NewEnumerator1"_s,  "Upper head"_s)
c(LowerHead,       "enuArmorSlots::NewEnumerator2"_s,  "Lower head"_s)
c(Neck,            "enuArmorSlots::NewEnumerator3"_s,  "Neck"_s)
c(UpperBody,       "enuArmorSlots::NewEnumerator4"_s,  "Upper body"_s)
c(MiddleBody,      "enuArmorSlots::NewEnumerator5"_s,  "Middle body"_s)
c(LowerBody,       "enuArmorSlots::NewEnumerator6"_s,  "Lower body"_s)
c(FrontWaist,      "enuArmorSlots::NewEnumerator7"_s,  "Front waist"_s)
c(LeftFrontSkirt,  "enuArmorSlots::NewEnumerator8"_s,  "Left front skirt"_s)
c(RightFrontSkirt, "enuArmorSlots::NewEnumerator9"_s,  "Right front skirt"_s)
c(LeftSideSkirt,   "enuArmorSlots::NewEnumerator10"_s, "Left side skirt"_s)
c(RightSideSkirt,  "enuArmorSlots::NewEnumerator11"_s, "Right side skirt"_s)
c(LeftBackSkirt,   "enuArmorSlots::NewEnumerator12"_s, "Left back skirt"_s)
c(RightBackSkirt,  "enuArmorSlots::NewEnumerator13"_s, "Right back skirt"_s)
c(BackWaist,       "enuArmorSlots::NewEnumerator14"_s, "Back waist"_s)
c(LeftShoulder,    "enuArmorSlots::NewEnumerator15"_s, "Left shoulder"_s)
c(RightShoulder,   "enuArmorSlots::NewEnumerator16"_s, "Right shoulder"_s)
c(LeftUpperArm,    "enuArmorSlots::NewEnumerator17"_s, "Left upper arm"_s)
c(RightUpperArm,   "enuArmorSlots::NewEnumerator18"_s, "Right upper arm"_s)
c(LeftElbow,       "enuArmorSlots::NewEnumerator19"_s, "Left elbow"_s)
c(RightElbow,      "enuArmorSlots::NewEnumerator20"_s, "Right elbow"_s)
c(LeftLowerArm,    "enuArmorSlots::NewEnumerator21"_s, "Left lower arm"_s)
c(RightLowerArm,   "enuArmorSlots::NewEnumerator22"_s, "Right lower arm"_s)
c(Backpack,        "enuArmorSlots::NewEnumerator23"_s, "Backpack"_s)
c(LeftHand,        "enuArmorSlots::NewEnumerator24"_s, "Left hand"_s)
c(RightHand,       "enuArmorSlots::NewEnumerator25"_s, "Right hand"_s)
c(LeftUpperLeg,    "enuArmorSlots::NewEnumerator26"_s, "Left upper leg"_s)
c(RightUpperLeg,   "enuArmorSlots::NewEnumerator27"_s, "Right upper leg"_s)
c(LeftKnee,        "enuArmorSlots::NewEnumerator28"_s, "Left knee"_s)
c(RightKnee,       "enuArmorSlots::NewEnumerator29"_s, "Right knee"_s)
c(LeftLowerLeg,    "enuArmorSlots::NewEnumerator30"_s, "Left lower leg"_s)
c(RightLowerLeg,   "enuArmorSlots::NewEnumerator31"_s, "Right lower leg"_s)
c(LeftAnkle,       "enuArmorSlots::NewEnumerator32"_s, "Left ankle"_s)
c(RightAnkle,      "enuArmorSlots::NewEnumerator33"_s, "Right ankle"_s)
c(LeftHeel,        "enuArmorSlots::NewEnumerator34"_s, "Left heel"_s)
c(RightHeel,       "enuArmorSlots::NewEnumerator35"_s, "Right heel"_s)
c(LeftFoot,        "enuArmorSlots::NewEnumerator36"_s, "Left foot"_s)
c(RightFoot,       "enuArmorSlots::NewEnumerator37"_s, "Right foot"_s)
#endif
