#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2022 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <Corrade/Containers/StaticArray.h>

#include <Magnum/Magnum.h>
#include <Magnum/Math/Vector3.h>

using namespace Corrade;
using namespace Magnum;

struct Accessory {
    Int attachIndex = -1;
    Int id = -1;
    Containers::StaticArray<2, Int> styles{ValueInit};
    Vector3 relativePosition{0.0f};
    Vector3 relativePositionOffset{0.0f};
    Vector3 relativeRotation{0.0f};
    Vector3 relativeRotationOffset{0.0f};
    Vector3 localScale{1.0f};
};
