#pragma once

// MassBuilderSaveTool
// Copyright (C) 2021-2022 Guillaume Jacquemin
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

#include <Magnum/Types.h>

using namespace Magnum;

struct Joints {
    Float neck      = 0.0f;
    Float body      = 0.0f;
    Float shoulders = 0.0f;
    Float hips      = 0.0f;
    Float upperArms = 0.0f;
    Float lowerArms = 0.0f;
    Float upperLegs = 0.0f;
    Float lowerLegs = 0.0f;
};
